Full name: projects.locations.instances.nativeDashboards.transferOwnership
Transfers ownership of a specified resource to a new principal. The previous owner is automatically granted the editor role on the object. Please note that ownership can only be transferred to a user principal, not a group.
HTTP request
POST https://{endpoint}/v1alpha/{name}:transferOwnership
Required. The resource name of the object whose ownership is to be transferred. Format: projects/{project}/locations/{location}/instances/{instance}/nativeDashboards/{nativeDashboard} projects/{project}/locations/{location}/instances/{instance}/users/{user}/searchQueries/{searchQuery}
Request body
The request body contains data with the following structure:
JSON representation
{"principal": string}
Fields
principal
string
Required. The IAM principal of the new owner of the Object. The supported formats are: * user:{emailid} for Google Account user * principal://iam.googleapis.com/locations/global/workforcePools/POOL_ID/subject/SUBJECT_ATTRIBUTE_VALUE for Workforce Identity user * serviceAccount:SA_EMAIL_ADDRESS for service account * principal://iam.googleapis.com/projects/PROJECT_NUMBER/locations/global/workloadIdentityPools/POOL_ID/subject/SUBJECT_ATTRIBUTE_VALUE for Workload Identity user * principal://TRUST_DOMAIN/resources/SERVICE/RESOURCE_PATH for agent identity user. Please note that ownership can only be transferred to a user principal, not a group.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Hard to understand","hardToUnderstand","thumb-down"],["Incorrect information or sample code","incorrectInformationOrSampleCode","thumb-down"],["Missing the information/samples I need","missingTheInformationSamplesINeed","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-10-06 UTC."],[],[]]